<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.teachcloud.mark.mapper.ScanLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qmth.teachcloud.mark.entity.ScanLog">
        <id column="school_code" property="schoolCode" />
        <id column="device_code" property="deviceCode" />
        <id column="file_name" property="fileName" />
        <result column="md5" property="md5" />
        <result column="path" property="path" />
        <result column="upload_time" property="uploadTime" />
    </resultMap>

</mapper>
